summaryrefslogtreecommitdiffstats
path: root/abs/extra/mythappletrailers
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/mythappletrailers')
-rw-r--r--abs/extra/mythappletrailers/appletrailers_is.conf8
-rwxr-xr-xabs/extra/mythappletrailers/loading.sh19
-rw-r--r--abs/extra/mythappletrailers/mythappletrailers.install27
3 files changed, 28 insertions, 26 deletions
diff --git a/abs/extra/mythappletrailers/appletrailers_is.conf b/abs/extra/mythappletrailers/appletrailers_is.conf
new file mode 100644
index 0000000..1ba4379
--- /dev/null
+++ b/abs/extra/mythappletrailers/appletrailers_is.conf
@@ -0,0 +1,8 @@
+<!--#MythAppleTrailers-->
+ <button>
+ <type>STREAM</type>
+ <text>Apple Trailers</text>
+ <action>MENU appletrailer.xml</action>
+ </button>
+<!--#MythAppleTrailers-->
+
diff --git a/abs/extra/mythappletrailers/loading.sh b/abs/extra/mythappletrailers/loading.sh
index e4e85fc..869c326 100755
--- a/abs/extra/mythappletrailers/loading.sh
+++ b/abs/extra/mythappletrailers/loading.sh
@@ -1,12 +1,13 @@
#!/bin/bash
+msg_client.py "Loading . . . "
-. /etc/osd_cat.cfg || {
- color=yellow
- outline=2
- outlinecolour=black
- shadow=0
- shadowcolour=black
- font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
-}
+#. /etc/osd_cat.cfg || {
+# color=yellow
+# outline=2
+# outlinecolour=black
+# shadow=0
+# shadowcolour=black
+# font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+#}
-echo -e "Loading . . . " | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
+#echo -e "Loading . . . " | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
diff --git a/abs/extra/mythappletrailers/mythappletrailers.install b/abs/extra/mythappletrailers/mythappletrailers.install
index 96f6717..602b96a 100644
--- a/abs/extra/mythappletrailers/mythappletrailers.install
+++ b/abs/extra/mythappletrailers/mythappletrailers.install
@@ -1,37 +1,30 @@
# arg 1: the new package version
post_install() {
- ln -s /home/mythtv/appletrailer.xml /usr/share/mythtv/themes/defaultmenu/appletrailer.xml
- mv /usr/share/mythtv/themes/defaultmenu/is.xml /tmp
- grep -v -e /mythmenu /tmp/is.xml > /tmp/is.xml.tmp
- echo "<!--#MythAppleTrailers-->" >> /tmp/is.xml.tmp
- echo " <button>" >> /tmp/is.xml.tmp
- echo " <type>STREAM</type>" >> /tmp/is.xml.tmp
- echo " <text>Apple Trailers</text>" >> /tmp/is.xml.tmp
- echo " <action>MENU appletrailer.xml</action>" >> /tmp/is.xml.tmp
- echo " </button>" >> /tmp/is.xml.tmp
- echo "<!--#MythAppleTrailers-->" >> /tmp/is.xml.tmp
- echo "" >> /tmp/is.xml.tmp
- echo "</mythmenu>" >> /tmp/is.xml.tmp
- mv /tmp/is.xml.tmp /usr/share/mythtv/themes/defaultmenu/is.xml
+ ln -s $MYTHHOME/appletrailer.xml /usr/share/mythtv/themes/defaultmenu/appletrailer.xml
+ /usr/LH/bin/gen_is_xml.py
}
# arg 1: the new package version
# arg 2: the old package version
post_upgrade() {
+ /usr/LH/bin/gen_is_xml.py
if [ -e /usr/share/mythtv/themes/defaultmenu/appletrailer.xml ]
then
exit
else
- ln -s /home/mythtv/appletrailer.xml /usr/share/mythtv/themes/defaultmenu/appletrailer.xml
+ ln -s /$MYTHHOME/appletrailer.xml /usr/share/mythtv/themes/defaultmenu/appletrailer.xml
fi
}
# arg 1: the old package version
post_remove() {
- rm -fr /usr/share/mythtv/appletrailer.xml /usr/share/mythtv/themes/defaulmenu/mythappletrailer.xml
- mv /usr/share/mythtv/themes/defaultmenu/is.xml /tmp/is.xml.tmp
- sed -e '/\#MythAp/,/\#MythAp/d' < /tmp/is.xml.tmp > /usr/share/mythtv/themes/defaultmenu/is.xml
+ rm -fr /usr/share/mythtv/appletrailer.xml /usr/share/mythtv/themes/defaulmenu/mythappletrailer.xml
+ /usr/LH/bin/gen_is_xml.py
}
+#This bit of code is used to check for MYTHHOME and set it
+. /usr/MythVantage/bin/install_functions.sh
+home_check
+
op=$1
shift
$op $*